#include<iostream>

using namespace std;

main() {
	int x,y;
	int cjx, cjy;
	int novi;
	int broj = 1;
	int broj1 = 10;
	cin >> x >> y;
	while((x!=0)&&(y!=0)) {
		cjx = x%10;
			cjy = y%10;
			
			if(cjx > cjy) {
				novi = novi + broj*cjx;
			}
			else if(cjy > cjx) {
				novi = novi + broj*cjy;
			}
			if(cjx == cjy) {
				novi = novi + cjx*broj1 +  cjy*broj;
		}
		x = x/10;
		y = y/10;
		broj = broj*10;
		broj1 = broj1*10;
	}
	cout << novi;

}